﻿@{
    ViewBag.Title = "View All Patients";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<script src="~/Content/ThemeMedical/js/jquery-2.2.3.min.js"></script>

<!--modal to show edit function-->
<div class="modal fade in" id="modal-default" style="padding-right: 17px;">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title">Default Modal</h4>
            </div>
            <div class="modal-body">



                <form class="form-horizontal">
                    <div class="box-body">
                        <div class="form-group">
                                <input type="text" class="form-control" id="" style="display:none;">
                        </div>
                      


                    </div>

                </form>




            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary" onclick="ChangeValues();">Save changes</button>
            </div>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>


<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Jinnah Hospital
            <small>All Patients Information</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="/AdminHome/Index"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Dashboard</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">

        <div class="box box-info">
            <div class="box-header with-border">
                <i class="fa fa-pagelines"></i>
                <h3 class="box-title">List of all Patients</h3>

                <div class="box-tools">
                    <div class="input-group input-group-sm" style="width: 150px;">
                        <input type="text" name="table_search" class="form-control pull-right" placeholder="Search">

                        <div class="input-group-btn">
                            <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.box-header -->
            <div class="box-body table-responsive no-padding">
                <table class="table table-hover">
                        <tr>
                            <th>Patient Name</th>
                            <th>Age</th>
                            <th>Contact No</th>
                            <th>Address</th>
                            <th>City</th>
                            <th>Gender</th>
                            <th>Doctor Name</th>
                            <th>Edit</th>
                            <th>Delete</th>
                        </tr>
                    <tbody id="tbl"></tbody>
                </table>
            </div>
            <!-- /.box-body -->
        </div>
    </section>
</div>
<script>
    $(document).ready(function () {
        $.ajax({
            url: '@Url.Action("GetAllPatientData", "AHMS")',
            type: "POST",
            dataType: "json",
            traditional: "true",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    var list = data.message;
                    for (i = 0; i < list.length; i++) {
                        $('#tbl').append(' <tr id=' + list[i].pono + '><td>' + list[i].pname + '</td><td>' + list[i].age + '</td><td>' + list[i].contactno + '</td><td>' + list[i].addresspatient + '</td><td>' + list[i].city + '</td><td>' + list[i].gender + '</td><td>' + list[i].docname + '</td><td><button type="button" class="btn bg-light-blue" onclick=getUpdate(' + list[i].pono + ')> <i class="fa fa-edit"></i>  </button></td><td><button type="button" class="btn bg-red"  onclick=getDelete(' + list[i].pono + ')><i class="fa fa-trash-o"></i></button> </td> </tr> ');
                    }

                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    });
</script>

<script>
    function getUpdate(id) {
        alert(id);
    }

</script>
<script>
    function getDelete(id) {
        debugger;
        $.ajax({
            url: '@Url.Action("DeletePatientData", "AHMS")',
            type: "POST",
            dataType: "json",
            data: JSON.stringify({ id: id}),
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    $('#'+id).remove();
                    swal(data.message, "", "success");
                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    }
</script>